The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/site_ruby/1.8/rubygems/source_ind

Discussion in 'General Discussion' started by santrix, Aug 17, 2011.

  1. santrix

    santrix Well-Known Member

    Joined:
    Nov 30, 2008
    Messages:
    223
    Likes Received:
    2
    Trophy Points:
    18
    Sorry to just dump the error in the title - but this is driving me nuts!

    I'm having to move clients from one server to another, as rails apps just refuse to start on this one machine.

    Upon starting the app I get a pile of this repeated dozens of times (even with a completely empty app I still get a few lines of this):

    NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.
    Gem::SourceIndex#add_spec called from /usr/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:127.

    I have matched all of the gems I understand the app uses with the working server, moved /usr/bin/gem and reinstalled gem using the cpanel /scripts/installruby - but it boosted it up to v1.8.8 whereas the working server is only running 1.3.7 and I'm loath to touch that server in case an update breaks it!

    Any clues as to what this error is indicating, and how to fix this?
     
  2. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,623
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    Re: Gem::SourceIndex#add_spec called from /usr/lib/ruby/site_ruby/1.8/rubygems/source

    What version of ruby and rails are running on the machine?

    Code:
    ruby -v
    rails -v
     
  3. santrix

    santrix Well-Known Member

    Joined:
    Nov 30, 2008
    Messages:
    223
    Likes Received:
    2
    Trophy Points:
    18
    Re: Gem::SourceIndex#add_spec called from /usr/lib/ruby/site_ruby/1.8/rubygems/source

    # ruby -v
    ruby 1.8.6 (2009-03-31 patchlevel 368) [x86_64-linux]
    # rails -v
    Rails 3.0.0
     
  4. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,623
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    Re: Gem::SourceIndex#add_spec called from /usr/lib/ruby/site_ruby/1.8/rubygems/source

    How precisely are you starting applications when using Rails 3 on the machine? cPanel > Ruby on Rails area cannot use any version of Rails other than Rails 2.3.12 for applications to work.

    Additionally, mongrel will not work with Rails 3.
     
Loading...

Share This Page